using System;
using System.Collections.Generic;
using System.Text;
using BusinessObjects.Enterprise.Infostore;

namespace BusinessObjects_SDK_Tutorial
{
    /// <summary>
    /// A struct for holding various information about a folder
    /// </summary>
  public class BOEFolderInfo
  {
    private string _folderName;
    private int _ID;
    private int _ParentID;
    private List<BOEFolderInfo> _SubFolders;

    /// <summary>
    /// Default constructor.  Included in case we need to serialize the object.
    /// DO NOT USE!
    /// </summary>
    public BOEFolderInfo()
    {
      //default constructor - Will generally NOT be used.
    }
    public BOEFolderInfo(string name, int id, int parent)
    {
      _folderName = name;
      _ID = id;
      _ParentID = parent;
      _SubFolders = new List<BOEFolderInfo>();
    }

    public BOEFolderInfo(IInfoObject folderObject)
    {
      _folderName = folderObject.Title;
      _ID = folderObject.ID;
      _ParentID = folderObject.ParentID;
      _SubFolders = new List<BOEFolderInfo>();
    }

    public string FolderName
    {
      get
      { return _folderName; }
      set
      { _folderName = value; }
    }

    public int ID
    {
      get
      { return _ID; }
      set
      { _ID = value; }
    }

    public int ParentID
    {
      get
      { return _ParentID; }
      set
      { _ParentID = value; }
    }

    public List<BOEFolderInfo> SubFolders
    {
      get
      { return _SubFolders; }
      set
      { _SubFolders = value; }
    }
  }
}
