using System;
using System.Collections.Generic;
using System.Text;
using BusinessObjects.Enterprise.Infostore;

namespace BusinessObjects_SDK_Tutorial
{
  /// <summary>
  /// A struct for holding basic indentifying info about a Crystal or WebI report
  /// </summary>
  public class BOERptInfo
  {
    private string _rptName;
    private int _ID;
    private int _parentID;
    private string _kind;

    /// <summary>
    /// Default constructor.  Included in case we need to serialize the object.
    /// DO NOT USE!
    /// </summary>
    public BOERptInfo()
    {
      //default constructor - this will generally NOT be used!
    }

    public BOERptInfo(IInfoObject rpt)
    {
      _rptName = rpt.Title;
      _ID = rpt.ID;
      _parentID = rpt.ParentID;
      _kind = rpt.Kind;
    }

    public int ID
    {
      get
      { return _ID; }
      set
      { _ID = value; }
    }

    public string Kind
    {
      get
      { return _kind; }
      set
      { _kind = value; }
    }

    public int ParentID
    {
      get
      { return _parentID; }
      set
      { _parentID = value; }
    }

    public string RptName
    {
      get
      { return _rptName; }
      set
      { _rptName = value; }
    }
  }
}
